- Main Page
- Namespaces
- Classes
- Files
- Directories
- Related Pages

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# Exponent::GUI::Graphics::CPen Class Reference

List of all members.

## Detailed Description

Used for drawing lines.

Date:
  01/10/2004

Author:
  Paul Chana

Version:
  1.0.0 Initial version

Note:
  All contents of this source code are copyright 2005 Exp Digital Uk.
  This source file is covered by the licence conditions of the Infinity API. You should have recieved a copy
  with the source code. If you didnt, please refer to http://www.expdigital.co.uk All content is the Intellectual property of Exp Digital Uk.
  Certain sections of this code may come from other sources. They are credited where applicable.
  If you have comments, suggestions or bug reports please visit http://support.expdigital.co.uk

Id
  CPen.hpp,v 1.3 2007/02/08 21:07:54 paul Exp

Definition at line 32 of file CPen.hpp.

## Public Member Functions

- CPen ()
- const CAlphaColour & getColour () const
- CGContextRef getContextRef () const
- const HPEN getPen () const
- const HDC getPenHdc () const
- long getWidth () const
- void initialise (CGContextRef drawContext, long size, const CAlphaColour &colour)
- void initialise (const long width, HDC drawContext, const CAlphaColour &colour)
- void setColour (const CAlphaColour &colour)
- void setPen (const long width, const CAlphaColour &colour)
- void setPenToNullPen ()
- void setWidth (const long width)
- void uninitialise ()
- virtual ~CPen ()

## Protected Member Functions

- virtual void createPen ()
- virtual void deletePen ()

## Protected Attributes

- CAlphaColour m_colour
- CGContextRef m_drawContext
- HDC m_hdc
- HGDIOBJ m_hOld
- HPEN m_pen
- long m_width

## Constructor & Destructor Documentation

Exponent::GUI::Graphics::CPen::CPen | ( |  | ) |

Construction

virtual Exponent::GUI::Graphics::CPen::~CPen | ( |  | ) | `[virtual]`

Destruction

## Member Function Documentation

virtual void Exponent::GUI::Graphics::CPen::createPen | ( |  | ) | `[protected, virtual]`

Create the pen

virtual void Exponent::GUI::Graphics::CPen::deletePen | ( |  | ) | `[protected, virtual]`

Delete the pen

const CAlphaColour& Exponent::GUI::Graphics::CPen::getColour | ( |  | ) | const`[inline]`

Get hte colour of the pen

Return values:

  | const | CAlphaColour& The pen colour

Definition at line 129 of file CPen.hpp.

References m_colour.

Referenced by Exponent::GUI::Graphics::CGraphics::drawAAPixelIncreasingX(), and Exponent::GUI::Graphics::CGraphics::drawAAPixelIncreasingY().

CGContextRef Exponent::GUI::Graphics::CPen::getContextRef | ( |  | ) | const`[inline]`

Get the draw context

Return values:

  | CGContextRef | The mac context

Definition at line 92 of file CPen.hpp.

References m_drawContext.

const HPEN Exponent::GUI::Graphics::CPen::getPen | ( |  | ) | const`[inline]`

Get the pen

Return values:

  | const | HPEN The widnows pen

Definition at line 71 of file CPen.hpp.

References m_pen.

const HDC Exponent::GUI::Graphics::CPen::getPenHdc | ( |  | ) | const`[inline]`

Get the pens HDC

Return values:

  | const | HDC The pen context

Definition at line 65 of file CPen.hpp.

References m_hdc.

long Exponent::GUI::Graphics::CPen::getWidth | ( |  | ) | const`[inline]`

Get the width of the pen

Return values:

  | long | The pen width

Definition at line 135 of file CPen.hpp.

References m_width.

void Exponent::GUI::Graphics::CPen::initialise | ( | CGContextRef | drawContext,
|  | long | size,
|  | const CAlphaColour & | colour |
| ) |  |  |

Initialise

Parameters:

  | size | The width in pixels
  | drawContext | The mac drawing context
  | colour | The colour you want to use for the pen

void Exponent::GUI::Graphics::CPen::initialise | ( | const long | width,
|  | HDC | drawContext,
|  | const CAlphaColour & | colour |
| ) |  |  |

Initialise

Parameters:

  | width | The width in pixels
  | drawContext | The windows drawing context
  | colour | The colour you want to use for the pen

void Exponent::GUI::Graphics::CPen::setColour | ( | const CAlphaColour & | colour | ) |

Set the colour

Parameters:

  | colour | The colour you want to use for the pen

Referenced by Exponent::GUI::Graphics::CGraphics::drawAAPixelIncreasingX(), and Exponent::GUI::Graphics::CGraphics::drawAAPixelIncreasingY().

void Exponent::GUI::Graphics::CPen::setPen | ( | const long | width,
|  | const CAlphaColour & | colour |
| ) |  |  |

Set the pen

Parameters:

  | width | The width in pixels
  | colour | The colour you want to use for the pen

void Exponent::GUI::Graphics::CPen::setPenToNullPen | ( |  | ) |

Set the pen to the null pen (draws transparent)

void Exponent::GUI::Graphics::CPen::setWidth | ( | const long | width | ) |

Set the width

Parameters:

  | width | The width in pixels

void Exponent::GUI::Graphics::CPen::uninitialise | ( |  | ) |

Deinitialise

## Member Data Documentation

CAlphaColour Exponent::GUI::Graphics::CPen::m_colour`[protected]`

The colour

Definition at line 170 of file CPen.hpp.

Referenced by getColour().

CGContextRef Exponent::GUI::Graphics::CPen::m_drawContext`[protected]`

Host drawing context

Definition at line 164 of file CPen.hpp.

Referenced by getContextRef().

HDC Exponent::GUI::Graphics::CPen::m_hdc`[protected]`

Device context

Definition at line 159 of file CPen.hpp.

Referenced by getPenHdc().

HGDIOBJ Exponent::GUI::Graphics::CPen::m_hOld`[protected]`

The old pen

Definition at line 158 of file CPen.hpp.

HPEN Exponent::GUI::Graphics::CPen::m_pen`[protected]`

The pen

Definition at line 160 of file CPen.hpp.

Referenced by getPen().

long Exponent::GUI::Graphics::CPen::m_width`[protected]`

The width

Definition at line 169 of file CPen.hpp.

Referenced by getWidth().